Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.distribution
Class MediumName

    Object
      CodeList<MediumName>
          MediumName

All Implemented Interfaces:
  Serializable, Comparable<MediumName>

    @UML(identifier="MD_MediumNameCode",
         specification=ISO_19115)
    public final class MediumName

extends CodeList<MediumName>

Name of the medium.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static MediumName` | `CARTRIDGE_3480` 3480 cartridge tape drive.
`static MediumName` | `CARTRIDGE_3490` 3490 cartridge tape drive.
`static MediumName` | `CARTRIDGE_3580` 3580 cartridge tape drive.
`static MediumName` | `CARTRIDGE_TAPE_1_QUARTER_INCH` ¼ inch magnetic tape.
`static MediumName` | `CARTRIDGE_TAPE_4mm` 4 millimetre magnetic tape.
`static MediumName` | `CARTRIDGE_TAPE_8mm` 8 millimetre magnetic tape.
`static MediumName` | `CD_ROM` Read-only optical disk.
`static MediumName` | `DIGITAL_LINEAR_TAPE` Half inch cartridge streaming tape drive.
`static MediumName` | `DVD` Digital versatile disk.
`static MediumName` | `DVD_ROM` Digital versatile disk digital versatile disk, read only.
`static MediumName` | `FLOPPY_3_HALF_INCH` 3½ inch magnetic disk.
`static MediumName` | `FLOPPY_5_QUARTER_INCH` 5¼ inch magnetic disk.
`static MediumName` | `HARD_COPY` Pamphlet or leaflet giving descriptive information.
`static MediumName` | `ON_LINE` Direct computer linkage.
`static MediumName` | `SATELLITE` Linkage through a satellite communication system.
`static MediumName` | `TAPE_7_TRACK` 7 track magnetic tape.
`static MediumName` | `TAPE_9_TRACK` 9 track magnetic tape.
`static MediumName` | `TELEPHONE_LINK` Communication through a telephone network.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static MediumName` | `valueOf(String code)` Returns the MediumName that matches the given string, or returns a new one if none match it.
`static MediumName[]` | `values()` Returns the list of `MediumName`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CD_ROM

    @UML(identifier="cdRom",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName CD_ROM

  Read-only optical disk.

### DVD

    @UML(identifier="dvd",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName DVD

  Digital versatile disk.

### DVD_ROM

    @UML(identifier="dvdRom",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName DVD_ROM

  Digital versatile disk digital versatile disk, read only.

### FLOPPY_3_HALF_INCH

    @UML(identifier="3halfInchFloppy",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName FLOPPY_3_HALF_INCH

  3½ inch magnetic disk.

### FLOPPY_5_QUARTER_INCH

    @UML(identifier="5quarterInchFloppy",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName FLOPPY_5_QUARTER_INCH

  5¼ inch magnetic disk.

### TAPE_7_TRACK

    @UML(identifier="7trackTape",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName TAPE_7_TRACK

  7 track magnetic tape.

### TAPE_9_TRACK

    @UML(identifier="9trackTape",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName TAPE_9_TRACK

  9 track magnetic tape.

### CARTRIDGE_3480

    @UML(identifier="3480Cartridge",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName CARTRIDGE_3480

  3480 cartridge tape drive.

### CARTRIDGE_3490

    @UML(identifier="3490Cartridge",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName CARTRIDGE_3490

  3490 cartridge tape drive.

### CARTRIDGE_3580

    @UML(identifier="3580Cartridge",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName CARTRIDGE_3580

  3580 cartridge tape drive.

### CARTRIDGE_TAPE_4mm

    @UML(identifier="4mmCartridgeTape",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName CARTRIDGE_TAPE_4mm

  4 millimetre magnetic tape.

### CARTRIDGE_TAPE_8mm

    @UML(identifier="8mmCartridgeTape",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName CARTRIDGE_TAPE_8mm

  8 millimetre magnetic tape.

### CARTRIDGE_TAPE_1_QUARTER_INCH

    @UML(identifier="1quarterInchCartridgeTape",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName CARTRIDGE_TAPE_1_QUARTER_INCH

  ¼ inch magnetic tape.

### DIGITAL_LINEAR_TAPE

    @UML(identifier="digitalLinearTape",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName DIGITAL_LINEAR_TAPE

  Half inch cartridge streaming tape drive.

### ON_LINE

    @UML(identifier="onLine",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName ON_LINE

  Direct computer linkage.

### SATELLITE

    @UML(identifier="satellite",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName SATELLITE

  Linkage through a satellite communication system.

### TELEPHONE_LINK

    @UML(identifier="telephoneLink",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName TELEPHONE_LINK

  Communication through a telephone network.

### HARD_COPY

    @UML(identifier="hardCopy",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumName HARD_COPY

  Pamphlet or leaflet giving descriptive information.

Method Detail

### values

    public static MediumName[] values()

  Returns the list of `MediumName`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<MediumName>`

### valueOf

    public static MediumName valueOf(String code)

  Returns the MediumName that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.